Bug 525395 - Suspend button in logout dialog doesn't lock the screen
Summary: Suspend button in logout dialog doesn't lock the screen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-session
Version: 11
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 587633 (view as bug list)
Depends On:
Blocks: CVE-2009-4996
TreeView+ depends on / blocked
 
Reported: 2009-09-24 08:22 UTC by Aleš Mareček
Modified: 2011-11-14 19:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-04 09:28:59 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 753702 0 unspecified CLOSED gnome-screensaver doesn't activate on XFCE after idle period 2021-02-22 00:41:40 UTC
Xfce 4805 0 None None None Never
Xfce 8105 0 None None None Never

Internal Links: 753702

Description Aleš Mareček 2009-09-24 08:22:51 UTC
Description of problem:
Suspend button in Action Buttons on xfce-panel just suspends computer but it doesn't lock the screen. So everybody is able to use your laptop without password needs after this suspend via "Action Buttons" - screen wasn't locked.
If i close the cap of my laptop it will suspend and lock correctly (power manager is set for suspend after closing the cap).

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Click to icon "Quit" (Action Buttons)
2. Click to suspend
3. Close and open cap of your laptop or use functional key for wake
  
Actual results:
Suspend without locking screen

Expected results:
Suspend and after waking your screen is locked

Additional info:

Comment 1 Aleš Mareček 2009-09-24 08:24:00 UTC
$ rpm -q xfce4-panel
xfce4-panel-4.6.1-2.fc11.i586

Comment 2 Christoph Wickert 2009-09-24 23:38:16 UTC
The action buttons in xfce4-panel only have "Logout" and "Lock Screen". You are talking about the logout dialog, right?

Comment 3 Aleš Mareček 2009-09-25 09:35:23 UTC
Probably yes. There are following buttons: "Log Out", "Restart", Shut Down", "Suspend" and "Hibernate" in this dialog.

Comment 4 Christoph Wickert 2009-09-25 09:44:08 UTC
Ok, thanks for the clarification. I will look at this after the weekend.

Comment 5 Christoph Wickert 2009-10-04 09:28:59 UTC
I took a look and it's way more complicated than I thought. Changes like this should be happening upstream, but the author of xfce4-session has no intentions to do so. Quote from http://bugzilla.xfce.org/show_bug.cgi?id=4805#c7:

"I'm going to reject this.  xfce4-power-manager supports this already, and does a fine job.  It's silly to duplicate this in more than one place.  Conceptually, the session manager isn't the place for this anyway.

I'm planning on having xfce4-session's suspend/hibernate buttons (and possibly
shutdown/reboot as well) send those actions to the power manager if present, so
when that's done, the screen will lock appropriately."

Closing.

Comment 6 Christoph Wickert 2009-10-04 09:35:40 UTC
Hope no one is disappointed now. Another quote, just to show how clear upstream is about this:

"My original assertion still stands: xfce4-session WILL NOT support locking the
screen after suspend.  I've already explained why and I don't intend to rehash
this."

http://bugzilla.xfce.org/show_bug.cgi?id=4805#c23

Comment 7 Christoph Wickert 2010-04-30 14:52:03 UTC
*** Bug 587633 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.